IM_SINES(3)

NAME
im_sines - creates a spatial sine wave form

SYNOPSIS
#include <vips/vips.h> int im_sines(image, xsize, ysize, horfreq, verfreq)
IMAGE *image;
int xsize, ysize;
double horfreq, verfreq;

DESCRIPTION
im_sines() creates a float one band image of the a sine waveform in two dimensions. The sizes of the created image are xsize by ysize. The number of horizontal and vertical spatial frequencies are determined by the variables horfreq and verfreq respectively. The function is the base for creating displayable sine waves and square waves in two dimensions.

RETURN VALUE
The function returns 0 on success and -1 on error.

SEE ALSO
im_grey(3).

COPYRIGHT
N. Dessipris

AUTHOR
N. Dessipris - 10/05/1991